# SPDX-FileCopyrightText: 2024 Redict Contributors
# SPDX-License-Identifier: LGPL-3.0-only

# Tests a few more configurations for build
image: debian/stable
packages:
  - pkg-config
  - libsystemd-dev
  - libssl-dev
sources:
  - https://codeberg.org/redict/redict.git
tasks:
  - make_jemalloc: |
      cd redict
      make clean && make distclean
      make -C src V=1 USE_JEMALLOC=yes MALLOC=jemalloc BUILD_TLS=no
  - make_tls: |
      cd redict
      make clean && make distclean
      make -C src V=1 USE_JEMALLOC=no MALLOC=libc BUILD_TLS=yes
  - make_jemalloc_tls: |
      cd redict
      make clean && make distclean
      make -C src V=1 USE_JEMALLOC=yes MALLOC=jemalloc BUILD_TLS=yes
  - make_tls_systemd: |
      cd redict
      make clean && make distclean
      make -C src V=1 BUILD_TLS=yes USE_SYSTEMD=yes
